<!-- use the modal component, pass in the prop -->
<search-modal 
  v-if="showModalCustomer" 
  @close="showModalCustomer = false"
  header="担当者マスタ検索一覧"
  target="#customerSearch"
  type="customer"
  :table="{
    headers: {
    id: 'ID', 
    lastName: '顧客姓', 
    firstName: '顧客名', 
    lastNameKana: '顧客姓(カナ)', 
    firstNameKana: '顧客名(カナ)', 
    birthday: '生年月日',
    tell: '電話番号',
    cellPhone: '携帯番号',
    deleted: '無効化フラグ'
  }}"
  >
</search-modal>